## prockernel prockernel |

## Functions

void | glibtop_get_proc_kernel ()
void | glibtop_get_proc_kernel_l ()
void | glibtop_get_proc_kernel_p ()
void | glibtop_get_proc_kernel_s ()

## Types and Values

#define | GLIBTOP_PROC_KERNEL_K_FLAGS
#define | GLIBTOP_PROC_KERNEL_MIN_FLT
#define | GLIBTOP_PROC_KERNEL_MAJ_FLT
#define | GLIBTOP_PROC_KERNEL_CMIN_FLT
#define | GLIBTOP_PROC_KERNEL_CMAJ_FLT
#define | GLIBTOP_PROC_KERNEL_KSTK_ESP
#define | GLIBTOP_PROC_KERNEL_KSTK_EIP
#define | GLIBTOP_PROC_KERNEL_NWCHAN
#define | GLIBTOP_PROC_KERNEL_WCHAN
#define | GLIBTOP_MAX_PROC_KERNEL
struct | glibtop_proc_kernel
#define | glibtop_get_proc_kernel_r

## Includes

    #include <glibtop/prockernel.h>

## Description

## Functions

### glibtop_get_proc_kernel ()

    void
    glibtop_get_proc_kernel (glibtop_proc_kernel *buf,
                             pid_t pid);

### glibtop_get_proc_kernel_l ()

    void
    glibtop_get_proc_kernel_l (glibtop *server,
                               glibtop_proc_kernel *buf,
                               pid_t pid);

### glibtop_get_proc_kernel_p ()

    void
    glibtop_get_proc_kernel_p (glibtop *server,
                               glibtop_proc_kernel *buf,
                               pid_t pid);

### glibtop_get_proc_kernel_s ()

    void
    glibtop_get_proc_kernel_s (glibtop *server,
                               glibtop_proc_kernel *buf,
                               pid_t pid);

## Types and Values

### GLIBTOP_PROC_KERNEL_K_FLAGS

    #define GLIBTOP_PROC_KERNEL_K_FLAGS 0

### GLIBTOP_PROC_KERNEL_MIN_FLT

    #define GLIBTOP_PROC_KERNEL_MIN_FLT 1

### GLIBTOP_PROC_KERNEL_MAJ_FLT

    #define GLIBTOP_PROC_KERNEL_MAJ_FLT 2

### GLIBTOP_PROC_KERNEL_CMIN_FLT

    #define GLIBTOP_PROC_KERNEL_CMIN_FLT 3

### GLIBTOP_PROC_KERNEL_CMAJ_FLT

    #define GLIBTOP_PROC_KERNEL_CMAJ_FLT 4

### GLIBTOP_PROC_KERNEL_KSTK_ESP

    #define GLIBTOP_PROC_KERNEL_KSTK_ESP 5

### GLIBTOP_PROC_KERNEL_KSTK_EIP

    #define GLIBTOP_PROC_KERNEL_KSTK_EIP 6

### GLIBTOP_PROC_KERNEL_NWCHAN

    #define GLIBTOP_PROC_KERNEL_NWCHAN 7

### GLIBTOP_PROC_KERNEL_WCHAN

    #define GLIBTOP_PROC_KERNEL_WCHAN 8

### GLIBTOP_MAX_PROC_KERNEL

    #define GLIBTOP_MAX_PROC_KERNEL		9

### struct glibtop_proc_kernel

    struct glibtop_proc_kernel {
    	guint64 flags;
    	guint64 k_flags; /* kernel flags for the process */
    	guint64 min_flt; /* number of minor page faults since
    				 * process start */
    	guint64 maj_flt; /* number of major page faults since
    				 * process start */
    	guint64 cmin_flt; /* cumulative min_flt of process and
    				 * child processes */
    	guint64 cmaj_flt; /* cumulative maj_flt of process and
    				 * child processes */
    	guint64 kstk_esp; /* kernel stack pointer */
    	guint64 kstk_eip; /* kernel stack pointer */
    	guint64 nwchan;		/* address of kernel wait channel
    				 * proc is sleeping in */
    	char wchan [40];
    };

### glibtop_get_proc_kernel_r

    #define glibtop_get_proc_kernel_r glibtop_get_proc_kernel_p